VST 3 SDK VST 3.6.11 SDK for developing VST Plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
HostAttributeList Class Reference
Common Hosting SDK Implementation Helper Classes

Implementation's example of IAttributeList. More...

`#include <hostclasses.h>`

Inheritance diagram for HostAttributeList:

## Public Member Functions
| HostAttributeList ()
virtual | ~HostAttributeList ()
tresult | setInt (AttrID aid, int64 value) SMTG_OVERRIDE
tresult | getInt (AttrID aid, int64 &value) SMTG_OVERRIDE
tresult | setFloat (AttrID aid, double value) SMTG_OVERRIDE
tresult | getFloat (AttrID aid, double &value) SMTG_OVERRIDE
tresult | setString (AttrID aid, const TChar *string) SMTG_OVERRIDE
tresult | getString (AttrID aid, TChar *string, uint32 size) SMTG_OVERRIDE
tresult | setBinary (AttrID aid, const void *data, uint32 size) SMTG_OVERRIDE
tresult | getBinary (AttrID aid, const void *&data, uint32 &size) SMTG_OVERRIDE
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Protected Member Functions
void | removeAttrID (AttrID aid)

## Protected Attributes
std::map< String, HostAttribute * > | list

## Additional Inherited Members
Public Types inherited from IAttributeList
typedef const char * | AttrID
Static Public Attributes inherited from IAttributeList
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Implementation's example of IAttributeList.

## Constructor & Destructor Documentation

HostAttributeList | ( |  | ) |

~HostAttributeList | ( |  | ) |
| virtual

## Member Function Documentation

tresult setInt | ( | AttrID | aid,
|  | int64 | value
| ) |  |
| virtual

Implements IAttributeList.

tresult getInt | ( | AttrID | aid,
|  | int64 & | value
| ) |  |
| virtual

Implements IAttributeList.

tresult setFloat | ( | AttrID | aid,
|  | double | value
| ) |  |
| virtual

Implements IAttributeList.

tresult getFloat | ( | AttrID | aid,
|  | double & | value
| ) |  |
| virtual

Implements IAttributeList.

tresult setString | ( | AttrID | aid,
|  | const TChar * | string
| ) |  |
| virtual

Implements IAttributeList.

tresult getString | ( | AttrID | aid,
|  | TChar * | string,
|  | uint32 | size
| ) |  |
| virtual

Implements IAttributeList.

tresult setBinary | ( | AttrID | aid,
|  | const void * | data,
|  | uint32 | size
| ) |  |
| virtual

Implements IAttributeList.

tresult getBinary | ( | AttrID | aid,
|  | const void *& | data,
|  | uint32 & | size
| ) |  |
| virtual

Implements IAttributeList.

void removeAttrID | ( | AttrID | aid | ) |
| protected

## Member Data Documentation

std::map<String, HostAttribute*> list
| protected

Empty

Copyright ©2018 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.